From dba889f032b44e4e6246fa536949efb8a160a889 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Sat, 20 May 2017 21:10:29 +0200
Subject: [PATCH] Update postgresql.org links to https

The project website is no longer serving pages over http and
will redirect all requests to https. Update the links to use
https instead, as we've already done on the website itself,
and avoid a redirect.
---
 HISTORY                        | 2 +-
 README                         | 6 +++---
 README.git                     | 2 +-
 doc/bug.template               | 2 +-
 doc/src/sgml/advanced.sgml     | 2 +-
 doc/src/sgml/docguide.sgml     | 2 +-
 doc/src/sgml/info.sgml         | 8 ++++----
 doc/src/sgml/installation.sgml | 4 ++--
 doc/src/sgml/problems.sgml     | 2 +-
 doc/src/sgml/stylesheet.xsl    | 2 +-
 10 files changed, 16 insertions(+), 16 deletions(-)

diff --git a/HISTORY b/HISTORY
index dcfd713c15..18d7b1b724 100644
--- a/HISTORY
+++ b/HISTORY
@@ -1,5 +1,5 @@
 Release notes for all versions of PostgreSQL can be found on-line at
-http://www.postgresql.org/docs/current/static/release.html
+https://www.postgresql.org/docs/current/static/release.html
 
 Distribution file sets include release notes for their version and preceding
 versions.  Visit the file doc/src/sgml/html/release.html in an HTML browser.
diff --git a/README b/README
index 302028e992..12de3f1d73 100644
--- a/README
+++ b/README
@@ -11,7 +11,7 @@ and functions.  This distribution also contains C language bindings.
 
 PostgreSQL has many language interfaces, many of which are listed here:
 
-	http://www.postgresql.org/download
+	https://www.postgresql.org/download
 
 See the file INSTALL for instructions on how to build and install
 PostgreSQL.  That file also lists supported operating systems and
@@ -23,5 +23,5 @@ distribution; it can be read as described in the installation
 instructions.
 
 The latest version of this software may be obtained at
-http://www.postgresql.org/download/.  For more information look at our
-web site located at http://www.postgresql.org/.
+https://www.postgresql.org/download/.  For more information look at our
+web site located at https://www.postgresql.org/.
diff --git a/README.git b/README.git
index 0bf2b56cb3..52cb7223df 100644
--- a/README.git
+++ b/README.git
@@ -6,7 +6,7 @@ git and so will not be present if you are using a git checkout.
 
 If you are using a git checkout, you can view the most recent installation
 instructions at:
-	http://www.postgresql.org/docs/devel/static/installation.html
+	https://www.postgresql.org/docs/devel/static/installation.html
 
 Users compiling from git will also need compatible versions of Bison, Flex,
 and Perl, as discussed in the install documentation.  These programs are not
diff --git a/doc/bug.template b/doc/bug.template
index 569d4f96b6..70ce03163a 100644
--- a/doc/bug.template
+++ b/doc/bug.template
@@ -9,7 +9,7 @@ If you not only found the problem but solved it and generated a patch
 then e-mail it to pgsql-hackers@postgresql.org instead.  Please use the
 command "diff -c" to generate the patch.
 
-You may also enter a bug report at http://www.postgresql.org/ instead of
+You may also enter a bug report at https://www.postgresql.org/ instead of
 e-mailing this form.
 
 ============================================================================
diff --git a/doc/src/sgml/advanced.sgml b/doc/src/sgml/advanced.sgml
index 7563131eba..f47c01987b 100644
--- a/doc/src/sgml/advanced.sgml
+++ b/doc/src/sgml/advanced.sgml
@@ -711,7 +711,7 @@ SELECT name, altitude
 
    <para>
     If you feel you need more introductory material, please visit the PostgreSQL
-    <ulink url="http://www.postgresql.org">web site</ulink>
+    <ulink url="https://www.postgresql.org">web site</ulink>
     for links to more resources.
    </para>
   </sect1>
diff --git a/doc/src/sgml/docguide.sgml b/doc/src/sgml/docguide.sgml
index 810d4dac40..e8a9778822 100644
--- a/doc/src/sgml/docguide.sgml
+++ b/doc/src/sgml/docguide.sgml
@@ -449,7 +449,7 @@ checking for fop... fop
 
    <para>
     To produce HTML documentation with the stylesheet used on <ulink
-    url="http://postgresql.org/docs/current">postgresql.org</> instead of the
+    url="https://www.postgresql.org/docs/current">postgresql.org</> instead of the
     default simple style use:
 <screen>
 <prompt>doc/src/sgml$ </prompt><userinput>make STYLE=website html</userinput>
diff --git a/doc/src/sgml/info.sgml b/doc/src/sgml/info.sgml
index a59d0c8a43..233ba0e668 100644
--- a/doc/src/sgml/info.sgml
+++ b/doc/src/sgml/info.sgml
@@ -14,10 +14,10 @@
     <listitem>
      <para>
       The <productname>PostgreSQL</productname> <ulink
-      url="http://wiki.postgresql.org">wiki</ulink> contains the project's <ulink
-      url="http://wiki.postgresql.org/wiki/Frequently_Asked_Questions">FAQ</>
+      url="https://wiki.postgresql.org">wiki</ulink> contains the project's <ulink
+      url="https://wiki.postgresql.org/wiki/Frequently_Asked_Questions">FAQ</>
       (Frequently Asked Questions) list, <ulink
-      url="http://wiki.postgresql.org/wiki/Todo">TODO</> list, and
+      url="https://wiki.postgresql.org/wiki/Todo">TODO</> list, and
       detailed information about many more topics.
      </para>
     </listitem>
@@ -28,7 +28,7 @@
     <listitem>
      <para>
       The <productname>PostgreSQL</productname>
-      <ulink url="http://www.postgresql.org">web site</ulink>
+      <ulink url="https://www.postgresql.org">web site</ulink>
       carries details on the latest release and other
       information to make your work or play with
       <productname>PostgreSQL</productname> more productive.
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 26bfab1ea5..6b2fd69883 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -346,7 +346,7 @@ su - postgres
   <para>
    The <productname>PostgreSQL</> &version; sources can be obtained from the
    download section of our
-   website: <ulink url="http://www.postgresql.org/download/"></ulink>.  You
+   website: <ulink url="https://www.postgresql.org/download/"></ulink>.  You
    should get a file named <filename>postgresql-&version;.tar.gz</filename>
    or <filename>postgresql-&version;.tar.bz2</filename>. After
    you have obtained the file, unpack it:
@@ -2026,7 +2026,7 @@ kill `cat /usr/local/pgsql/data/postmaster.pid`
    it has recently been verified to build and pass its regression tests
    on that platform.  Currently, most testing of platform compatibility
    is done automatically by test machines in the
-   <ulink url="http://buildfarm.postgresql.org/">PostgreSQL Build Farm</ulink>.
+   <ulink url="https://buildfarm.postgresql.org/">PostgreSQL Build Farm</ulink>.
    If you are interested in using <productname>PostgreSQL</> on a platform
    that is not represented in the build farm, but on which the code works
    or can be made to work, you are strongly encouraged to set up a build
diff --git a/doc/src/sgml/problems.sgml b/doc/src/sgml/problems.sgml
index 3f79c6ef90..6bf74bb399 100644
--- a/doc/src/sgml/problems.sgml
+++ b/doc/src/sgml/problems.sgml
@@ -304,7 +304,7 @@
   <para>
    Another method is to fill in the bug report web-form available
    at the project's
-   <ulink url="http://www.postgresql.org/">web site</ulink>.
+   <ulink url="https://www.postgresql.org/">web site</ulink>.
    Entering a bug report this way causes it to be mailed to the
    <email>pgsql-bugs@postgresql.org</email> mailing list.
   </para>
diff --git a/doc/src/sgml/stylesheet.xsl b/doc/src/sgml/stylesheet.xsl
index c948c612ac..22dd3b93c6 100644
--- a/doc/src/sgml/stylesheet.xsl
+++ b/doc/src/sgml/stylesheet.xsl
@@ -23,7 +23,7 @@
 <xsl:param name="html.stylesheet">
   <xsl:choose>
     <xsl:when test="$website.stylesheet = 0">stylesheet.css</xsl:when>
-    <xsl:otherwise>http://www.postgresql.org/media/css/docs.css</xsl:otherwise>
+    <xsl:otherwise>https://www.postgresql.org/media/css/docs.css</xsl:otherwise>
   </xsl:choose>
 </xsl:param>
 
-- 
2.13.0.rc0.45.ge2cb6ab.dirty

